Retrieve Standard Statement
curl --request GET \
--url https://ap.replace-me.example.com/statement/standard/{statementId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/standard/{statementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/standard/{statementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"pdfUrl": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}Accounts Payable API - Standard Statements
Retrieve Standard Statement
Retrieves a Generic statement from the system.
Response Body Structure
| Path | Type | Description |
|---|---|---|
uuid | UUID | EnergyWatch universally unique identifier |
statementId | Integer | EnergyWatch statement identifier |
accountId | Integer | EnergyWatch account identifier |
clientId | Integer | EnergyWatch client node identifier |
accountCode | String | EnergyWatch account number |
commodity | Enum | Available values : CHILLEDWATER, ELECTRIC, NATURALGAS, STEAM, WATERSEWER |
glCode | String | EnergyWatch GL mapping identifier |
chargeAmount | Number | Charge amount for statement |
status | Enum | Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED |
statusMessage | String | Status message |
pdfUrl | String | EnergyWatch Control Code identifier for PDFs |
property | String | Property name for statement |
vendor | String | Supply vendor |
serviceAddress | String | Service address for property |
city | String | City name for property |
state | String | 2-letter state abbreviation |
zipCode | String | Zip code / postal code |
currency | String | Currency code |
startDate | Date (MM/dd/yyyy) | Start date for statement |
endDate | Date (MM/dd/yyyy) | End date for statement |
month | Integer | Month for statement |
year | Integer | Year for statement |
dueDate | Date (MM/dd/yyyy) | The due date |
newCharges | Number | New charges for statement |
totalAmountDue | Number | The invoice total due |
glSettings | Json Object | Open-ended GL mappings |
lines | Generic Line Item Model | The statement’s line items |
GET
/
statement
/
standard
/
{statementId}
Retrieve Standard Statement
curl --request GET \
--url https://ap.replace-me.example.com/statement/standard/{statementId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/standard/{statementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/standard/{statementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"pdfUrl": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}Authorizations
Token returned by POST /authenticate. Expires after 60 minutes of inactivity.
Path Parameters
EnergyWatch statement identifier.
Response
Successful response
Show child attributes
Show child attributes

